# NSIS 1.98 script for Pseudoglobe Screensaver // 2002-08-14
# Written by Sebastian Pipping <webmaster@hartwork.org>

# General...................................................
OutFile "..\Binary\pseudoglobe_0370_setup.exe"
Name "Pseudoglobe"
Caption "Pseudoglobe Screensaver 0.3.7.0"
Icon "main.ico"
WindowIcon on
BGGradient off
SilentInstall normal
SilentUnInstall normal
CRCCheck on

# Directory.................................................
InstallDir "$WINDIR"

# Directory page............................................
DirShow hide

# Install page..............................................
InstallColors 00FF00 000000
InstProgressFlags
AutoCloseWindow false
ShowInstDetails show

# Uninstall.................................................
UninstallText "This will uninstall Pseudoglobe."
UninstallCaption "Pseudoglobe Uninstaller"
ShowUninstDetails show

# Compiler..................................................
SetOverwrite on
SetCompress auto
SetDatablockOptimize on
SetDateSave off

# Sections..................................................
Section "-Install"
  Delete "$WINDIR\Pseudoglob*.???"
  SetOutPath "$INSTDIR"
  File "..\Binary\Pseudoglobe.scr"
  File "Pseudoglobe Readme.txt"
  WriteRegStr "HKEY_LOCAL_MACHINE" "Software\Microsoft\Windows\CurrentVersion\Uninstall\Pseudoglobe" "DisplayName" "Pseudoglobe Screensaver"
  WriteRegStr "HKEY_LOCAL_MACHINE" "Software\Microsoft\Windows\CurrentVersion\Uninstall\Pseudoglobe" "UninstallString" '"$INSTDIR\Pseudoglobe Uninstaller.exe"'
  WriteUninstaller "$INSTDIR\Pseudoglobe Uninstaller.exe"
  Exec '"$WINDIR\notepad.exe" "$INSTDIR\Pseudoglobe Readme.txt"'
  ExecShell "install" "$WINDIR\Pseudoglobe.scr"
SectionEnd

Section "Uninstall"
  Delete "$WINDIR\????-??-?? ??????.txt"
  Delete "$WINDIR\Pseudoglob*.???"
  DeleteRegKey "HKEY_LOCAL_MACHINE" "Software\Microsoft\Windows\CurrentVersion\Uninstall\Pseudoglobe"
SectionEnd