//////////////////////////////////////////////////////////////////////////////// 
/// Pseudoglobe Screensaver
/// 
/// Copyright  2002  Sebastian Pipping <webmaster@hartwork.org>
/// 
/// -->  http://www.hartwork.org
/// 
/// This source code is released under the GNU General Public License (GPL).
/// See GPL.txt for details. Any non-GPL usage is strictly forbidden.
////////////////////////////////////////////////////////////////////////////////


#ifndef CAPPLOG
#define CAPPLOG

#include <windows.h>
#include <stdio.h>
#include <stdarg.h>
#include <time.h>

class CAppLog
{
	public:
		CAppLog();
		~CAppLog();
		BOOL Append( const char *, ... );
		BOOL AppendTime();

	private:
		BOOL bErrors;
		BOOL bOpened;
		FILE * Stream;

		BOOL Open();
		void Close();
};

#endif
